<%_ if (position === 'import') { _%>
import java.util.List;
import java.util.Optional;
<%_ } _%>
<%_ if (position === 'method') { _%>

    List<CommonExtData> findByOwnerIdAndOwnerType(<%= primaryKey.type %> ownerId, String ownerType);

    Optional<CommonExtData> findByOwnerIdAndOwnerTypeAndFieldName(<%= primaryKey.type%> ownerId, String ownerType, String key);
<%_ } _%>
